# tier1
languages="en de es it fr"
# tier2
languages="$languages ja zh nl cs pt pl ca ar"
# tier3
languages="$languages hu ko da sv ru" # ... Hebrew, Indian Languages (TBD), Zulu, Xhosa, Afrikaans, Northern Sotho
# cthiel invented
languages="$languages fi nb"
bundles="kde gnome common gnome-extras"

LC_ALL=C sort -o packages.txt packages.txt
uniq=`cut -d' ' -f1 packages.txt | uniq -d`
if test -n "$uniq"; then
   echo "duplicates: $uniq"
fi

for spec in $bundles; do
  filename=bundle-lang-$spec.spec
  packages=`grep " $spec"'$' packages.txt | cut -d' ' -f1`
  packages=`echo $packages`
  {
    sed -n -e '1,/#LANGUAGES/p' bundle-lang.spec.in
    for lang in $languages; do

      echo "%package $lang"
      echo "License:        License"
      echo "Summary:        summary"
      echo "Group:          group"
      for pack in $packages; do
	echo "Provides:       $pack = %(rpm -q --queryformat '%{VERSION}' $pack)"
	case $pack in
          *-lang)
            echo "Provides:       locale(${pack/-lang/}:$lang)"
            if test "$lang" = "pt"; then
                # special case for bnc#160811
                echo "Provides:       locale(${pack/-lang/}:pt_BR)"
            fi
            ;;
	esac
      done
    echo ""
    echo "%description $lang"
    echo "-"
    echo ""
    done
    sed -n -e '/#LANGUAGES/,$p' bundle-lang.spec.in
  } | {
    sed="s,@TAKEN_LANGUAGES@,$languages,"
    sed="$sed;s,@PACKAGES@,$packages,"
    sed="$sed;s,@SPEC@,$spec,"
    for lang in $languages; do
      sed="$sed;s,#LANGUAGE_FILES,%files $lang -f taken.$lang\n\n#LANGUAGE_FILES,"
    done
    sed -e "$sed"
  } > $filename.new
  perl update_spec.pl $filename.new attributes > $filename
  rm $filename.new
done

for changes in $bundles; do
	if test "$changes" = "common"; then
		continue;
	fi
	cp -lf  bundle-lang-common.changes bundle-lang-$changes.changes
done

