#!/bin/sh

export LC_ALL=C
PACKAGESFILE=packages.txt

if test -z `which w3m`; then
  echo "w3m is required to run this script."
  exit 1
fi

HANDLED=`grep -E "common$|gnome$" $PACKAGESFILE | sed "s, .*$,,g"`

grep -v gnome-extras$ $PACKAGESFILE > $PACKAGESFILE.new

for package in `w3m -dump_source http://download.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/noarch/ http://download.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/i586/ | grep lang | grep -v bundle-lang | sed "s,</a>.*$,,g;s,^.*>,,g;s,-lang-.*$,-lang,g"`; do
  echo $HANDLED | sed "s, ,\n,g" | grep -q "^$package$"
  if test $? -ne 0; then
    echo "$package gnome-extras" >> $PACKAGESFILE.new
  fi
done

LANG=C sort -u -o $PACKAGESFILE $PACKAGESFILE.new

for pack in pango-module-thai-lang; do
   grep -v "^$pack " $PACKAGESFILE > $PACKAGESFILE.new && mv $PACKAGESFILE.new $PACKAGESFILE
done

rm -f $PACKAGESFILE.new
